description

# Length class Null safety

Annotations
  - @Unstable()
  - @Native("SVGLength")

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
unitType → int?
  read-only
value ↔ num?
  read / write
valueAsString ↔ String?
  read / write
valueInSpecifiedUnits ↔ num?
  read / write

## Methods

convertToSpecifiedUnits(int unitType) → void
newValueSpecifiedUnits(int unitType, num valueInSpecifiedUnits) → void
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

SVG_LENGTHTYPE_CM → const int
  `6`
SVG_LENGTHTYPE_EMS → const int
  `3`
SVG_LENGTHTYPE_EXS → const int
  `4`
SVG_LENGTHTYPE_IN → const int
  `8`
SVG_LENGTHTYPE_MM → const int
  `7`
SVG_LENGTHTYPE_NUMBER → const int
  `1`
SVG_LENGTHTYPE_PC → const int
  `10`
SVG_LENGTHTYPE_PERCENTAGE → const int
  `2`
SVG_LENGTHTYPE_PT → const int
  `9`
SVG_LENGTHTYPE_PX → const int
  `5`
SVG_LENGTHTYPE_UNKNOWN → const int
  `0`